Package org.eclipse.m2m.atl.emftvm.impl

## Class ModelImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.m2m.atl.emftvm.impl.ModelImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `Model`

Direct Known Subclasses:
  `CDOModelImpl`, `MetamodelImpl`

    public class ModelImpl
    extends org.eclipse.emf.ecore.impl.EObjectImpl
    implements Model

An implementation of the model object 'Model'.

### Nested Class Summary

Nested Classes
`static class` `ModelImpl.InstanceOfList` `LazyList` that returns only instances of a given type.

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected java.util.Map<org.eclipse.emf.ecore.EClass,​LazyList<org.eclipse.emf.ecore.EObject>>` `allInstancesMap` Cache of allInstancesOf().
`protected static boolean` `ALLOW_INTER_MODEL_REFERENCES_EDEFAULT` The default value of the '`Allow Inter Model References`' attribute.
`protected boolean` `allowInterModelReferences` The cached value of the '`Allow Inter Model References`' attribute.
`protected org.eclipse.emf.ecore.resource.Resource` `resource` The cached value of the '`Resource`' attribute.
`protected static org.eclipse.emf.ecore.resource.Resource` `RESOURCE_EDEFAULT` The default value of the '`Resource`' attribute.

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `ModelImpl()` Creates a new `ModelImpl`.

### Method Summary

All Methods Instance Methods Concrete Methods
`LazyList<org.eclipse.emf.ecore.EObject>` `allInstancesOf​(org.eclipse.emf.ecore.EClass type)` Returns all instances of the given `type`.
`void` `deleteElement​(org.eclipse.emf.ecore.EObject element)` Deletes a root element from this `Model`.
`java.lang.Object` `eGet​(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet​(int featureID)`
`void` `eSet​(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()` Returns the `EClass` that correspond to this metaclass.
`void` `eUnset​(int featureID)`
`org.eclipse.emf.ecore.resource.Resource` `getResource()` Returns the value of the 'Resource' attribute.
`boolean` `isAllowInterModelReferences()` Returns the value of the 'Allow Inter Model References' attribute.
`org.eclipse.emf.ecore.EObject` `newElement​(org.eclipse.emf.ecore.EClass type)` Creates a new model element of the given
`void` `setAllowInterModelReferences​(boolean newAllowInterModelReferences)` Sets the value of the '`Allow Inter Model References`' attribute.
`void` `setResource​(org.eclipse.emf.ecore.resource.Resource newResource)` Sets the value of the '`Resource`' attribute.
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### RESOURCE_EDEFAULT

    protected static final org.eclipse.emf.ecore.resource.Resource RESOURCE_EDEFAULT

The default value of the '`Resource`' attribute.

See Also:
  `getResource()`

#### resource

    protected org.eclipse.emf.ecore.resource.Resource resource

The cached value of the '`Resource`' attribute.

See Also:
  `getResource()`

#### ALLOW_INTER_MODEL_REFERENCES_EDEFAULT

    protected static final boolean ALLOW_INTER_MODEL_REFERENCES_EDEFAULT

The default value of the '`Allow Inter Model References`' attribute.

See Also:
  `isAllowInterModelReferences()`, Constant Field Values

#### allowInterModelReferences

    protected boolean allowInterModelReferences

The cached value of the '`Allow Inter Model References`' attribute.

See Also:
  `isAllowInterModelReferences()`

#### allInstancesMap

    protected final java.util.Map<org.eclipse.emf.ecore.EClass,​LazyList<org.eclipse.emf.ecore.EObject>> allInstancesMap

Cache of allInstancesOf().

### Constructor Detail

#### ModelImpl

    protected ModelImpl()

Creates a new `ModelImpl`.

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Returns the `EClass` that correspond to this metaclass.

Overrides:
  `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`
Returns:
  the `EClass` that correspond to this metaclass.

#### getResource

    public org.eclipse.emf.ecore.resource.Resource getResource()

Returns the value of the 'Resource' attribute.

If the meaning of the 'Resource' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getResource` in interface `Model`
Returns:
  the value of the 'Resource' attribute.
See Also:
  `Model.setResource(Resource)`, `EmftvmPackage.getModel_Resource()`

#### setResource

    public void setResource​(org.eclipse.emf.ecore.resource.Resource newResource)

Sets the value of the '`Resource`' attribute.

Specified by:
  `setResource` in interface `Model`
Parameters:
  `newResource` - the new value of the 'Resource' attribute.
See Also:
  `Model.getResource()`

#### isAllowInterModelReferences

    public boolean isAllowInterModelReferences()

Returns the value of the 'Allow Inter Model References' attribute. The default value is `"true"`.

If the meaning of the 'Allow Inter Model References' attribute isn't clear, there really should be more of a description here...

Specified by:
  `isAllowInterModelReferences` in interface `Model`
Returns:
  the value of the 'Allow Inter Model References' attribute.
See Also:
  `Model.setAllowInterModelReferences(boolean)`, `EmftvmPackage.getModel_AllowInterModelReferences()`

#### setAllowInterModelReferences

    public void setAllowInterModelReferences​(boolean newAllowInterModelReferences)

Sets the value of the '`Allow Inter Model References`' attribute.

Specified by:
  `setAllowInterModelReferences` in interface `Model`
Parameters:
  `newAllowInterModelReferences` - the new value of the 'Allow Inter Model References' attribute.
See Also:
  `Model.isAllowInterModelReferences()`

#### allInstancesOf

    public LazyList<org.eclipse.emf.ecore.EObject> allInstancesOf​(org.eclipse.emf.ecore.EClass type)

Returns all instances of the given `type`.

Specified by:
  `allInstancesOf` in interface `Model`
Parameters:
  `type` - the metaclass for which to find the instances
Returns:
  all instances of the given `type`.

#### newElement

    public org.eclipse.emf.ecore.EObject newElement​(org.eclipse.emf.ecore.EClass type)

Creates a new model element of the given

    type

in this `Model`.

Specified by:
  `newElement` in interface `Model`
Parameters:
  `type` - the metaclass to instantiate
Returns:
  a new instance of the given

      type

#### deleteElement

    public void deleteElement​(org.eclipse.emf.ecore.EObject element)

Deletes a root element from this `Model`.

Specified by:
  `deleteElement` in interface `Model`
Parameters:
  `element` - the model element to delete

#### eGet

    public java.lang.Object eGet​(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eSet

    public void eSet​(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eUnset

    public void eUnset​(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eIsSet

    public boolean eIsSet​(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`